Despite the COVID-19 outbreak, our team continues operating at full speed. We are always here to support and answer all your questions.

Feel free to reach out by filling this quick form.

Fill the form
Get Free Trial

Format Cell Popup Error currentMeasureNames is not defined

Answered
Massimo asked on February 23, 2021

Hello,
I updated to the last version of Flexmonster 2.8.27, but when I open the format Cell Popup I throw into this error “currentMeasureNames is not defined”.
 
I’m using angular 10 and I use the method formatCellsHandler of toolbar.
 
Best Regards

4 answers

Public
Milena Pechura Milena Pechura Flexmonster February 24, 2021

Hello, Massimo,
 
Thank you for reporting the issue.
 
Our team has managed to reproduce it on our side. The fix is going to be provided with our upcoming release ETA March 22.
We will notify you as soon as the version with a fix is released.
 
As a temporary solution, we suggest downgrading to the 2.8.21 version of ng-flexmonster by using npm i ng-flexmonster@2.8.21 command.
Please let us know if it works for you.
 
Kind regards,
Milena

Public
Massimo February 24, 2021

Hello Milena,
 
Thank you for your answer.
I really appreciate that Flexmonster team reproduced the issue but I’m little concerned about the bug fix release date. We need to upgrade to 2.8.27 version because of the two new introduced methods scrollToRow and scrollToColumn that we asked for in a previous change request submission.
Is it possible to have this fix before the next upcoming release?
Regards,
Massimo

Public
Milena Pechura Milena Pechura Flexmonster February 25, 2021

Hi, Massimo,
 
Thank you for the detailed explanation of the situation on your side.
 
We have discussed your request for an early fix with our dev team.
As a result, we changed the ETA to March 9.
 
Hope it works for you.
Please let us know if any other questions arise.
 
Best regards,
Milena

Public
Milena Pechura Milena Pechura Flexmonster February 26, 2021

Hello, Massimo,
 
Our team has received your request to fix the issue before the 5th of March. 
We also checked the email from your colleague Benedetta, who explained the importance of this deadline.
 
Surely, we do not want to make you postpone the release of your product.
Therefore, our dev team had a look at the task for the fix and already solved the issue.
 
Please use the following command for an update:

npm install ng-flexmonster@latest

 
This should install the 2.8.27-1 version of ng-flexmonster.
In case the issue is still there, please run

npm install flexmonster@latest

 
Let us know if everything works fine.
We are looking forward to your response.
 
Best regards,
Milena

Please login or Register to Submit Answer